Bug 579140 - SELinux is preventing /usr/bin/python "getattr" access on /usr/bin/certmaster.
SELinux is preventing /usr/bin/python "getattr" access on /usr/bin/certm...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: John Eckersberg
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:200473da253...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-02 16:51 EDT by Robert Martin
Modified: 2010-11-04 07:02 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 07:02:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Martin 2010-04-02 16:51:26 EDT
Summary:

SELinux is preventing /usr/bin/python "getattr" access on /usr/bin/certmaster.

Detailed Description:

[cobblerd has a permissive type (cobblerd_t). This access was not denied.]

SELinux denied access requested by cobblerd. It is not expected that this access
is required by cobblerd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:cobblerd_t:s0
Target Context                system_u:object_r:certmaster_exec_t:s0
Target Objects                /usr/bin/certmaster [ file ]
Source                        cobblerd
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.2-4.fc12
Target RPM Packages           certmaster-0.25-2.fc12
Policy RPM                    selinux-policy-3.6.32-106.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.10-90.fc12.i686
                              #1 SMP Tue Mar 23 10:21:29 UTC 2010 i686 athlon
Alert Count                   1
First Seen                    Fri 02 Apr 2010 02:49:36 PM CDT
Last Seen                     Fri 02 Apr 2010 02:49:36 PM CDT
Local ID                      8190b110-4440-4942-a05c-f06dfb5d61f6
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1270237776.336:43): avc:  denied  { getattr } for  pid=5854 comm="cobblerd" path="/usr/bin/certmaster" dev=dm-0 ino=130340 scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:object_r:certmaster_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1270237776.336:43): arch=40000003 syscall=195 success=yes exit=0 a0=bf8ec65b a1=bf8ea548 a2=ba8ff4 a3=b7691ba0 items=0 ppid=5853 pid=5854 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="cobblerd" exe="/usr/bin/python" subj=system_u:system_r:cobblerd_t:s0 key=(null)



Hash String generated from  catchall,cobblerd,cobblerd_t,certmaster_exec_t,file,getattr
audit2allow suggests:

#============= cobblerd_t ==============
allow cobblerd_t certmaster_exec_t:file getattr;
Comment 1 Daniel Walsh 2010-04-03 07:30:03 EDT
Does cobbler actually use certmaster?
Comment 2 Bug Zapper 2010-11-03 14:01:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.